Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools
Class StringHelper

    java.lang.Object
      org.codehaus.groovy.tools.StringHelper

    public class StringHelper

extends Object

Constructor Summary
`StringHelper()`

Method Summary
`static String[]` | `tokenizeUnquoted(String s)` This method tokenizes a string by space characters, but ignores spaces in quoted parts,that are parts in '' or "".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringHelper

    public StringHelper()

Method Detail

### tokenizeUnquoted

    public static String[] tokenizeUnquoted(String s)

  This method tokenizes a string by space characters, but ignores spaces in quoted parts,that are parts in '' or "". The method does allows the usage of "" in '' and '' in "". The space character between tokens is not returned.

  Parameters:
    `s` - the string to tokenize
  Returns:
    the tokens

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD